Crux: BRE/WFE - Task #17862

WSC: WFschemabDelete()
15/02/2024 09:40 AM - Sachin Divekar

Status: Closed Start date:
Priority: Normal Due date:
Assignee: Aniket Shinde % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Sprint 29 Feb
Description
WFschemaDelete()
Request
{
"slice": 5,
"app": "retailsales",
"class": "garmentitems"

}

where the tuple (slice,app,class) identify one schema in a realm.

Processing

The calling user must have schema capabality for this app, and must belong to the same realm as the record being deleted.

The system will check whether there are any workflows in the ruleset table whose (slice,app,class) match this record. If this is true,

then the call will fail. Else, the record will be deleted.
Response

If the call is successful, no data will be present in the response.

History

#1 - 17/02/2024 05:26 PM - Shuvam Misra

- Status changed from New to In Progress

#2 - 17/02/2024 05:26 PM - Shuvam Misra
- Target version set to Sprint 29 Feb

#3 - 20/02/2024 06:30 PM - Aniket Shinde

- % Done changed from 0 to 80

- Assignee set to Aniket Shinde

- Status changed from In Progress to Testing
Task Completed,

Pending: realm implementation

#4 - 27/02/2024 03:01 PM - Aniket Shinde

- Status changed from Testing to Closed

#5 - 29/04/2024 04:19 PM - Tushar Bhingare
- % Done changed from 80 to 100
